%define upstream_name    XML-Parser-Lite-Tree
%define	upstream_version 0.14

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Lightweight XML tree builder
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    http://www.cpan.org/modules/by-module/XML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
This is a singleton class for parsing XML into a tree structure. How does this
differ from other XML tree generators? By using XML::Parser::Lite, which is a
pure perl XML parser. Using this module you can tree-ify simple XML without
having to compile any C.

Each node contains a "type" key, one of "root", "tag" and "data". "root" is the
document root, and only contains an array ref "children". "tag" represents a
normal tag, and contains an array ref "children", a hash ref "attributes" and a
string "name". "data" nodes contain only a "content" string.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make

%check
make test

%install
rm -rf %{buildroot}
%makeinstall_std
# duplicated from SOAP::Lite
rm -f %{buildroot}%{perl_vendorlib}/XML/Parser/Lite.pm

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc META.yml README
%{perl_vendorlib}/XML
%{_mandir}/*/*

%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.140.0-3.mga4
+ Revision: 516159
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.140.0-2.mga3
+ Revision: 375107
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jun 15 2011 jquelin <jquelin> 0.140.0-1.mga2
+ Revision: 107602
- update to 0.14

* Mon Jan 24 2011 jquelin <jquelin> 0.120.0-2.mga1
+ Revision: 36940
- mageia rebuild
- imported package perl-XML-Parser-Lite-Tree

